Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516566 - 2 IP addresses are assigned to instance launched after rebooting all the nodes in the setup.
Summary: 2 IP addresses are assigned to instance launched after rebooting all the node...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 12.0 (Pike)
Assignee: Jakub Libosvar
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 23:09 UTC by Alexander Chuzhoy
Modified: 2018-08-13 13:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 12:55:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1469780 None CLOSED Instance boots with two IPs although only one net-id is supplied 2019-04-10 12:15:33 UTC

Internal Links: 1469780

Description Alexander Chuzhoy 2017-11-22 23:09:42 UTC
2 IP addresses are assigned to instance launched after rebooting all the nodes in the setup.

Environment:
puppet-neutron-11.3.0-2.el7ost.noarch
python-neutron-lib-1.9.1-1.el7ost.noarch
openstack-neutron-common-11.0.1-5.el7ost.noarch
python-neutron-11.0.1-5.el7ost.noarch
openstack-neutron-11.0.1-5.el7ost.noarch
openstack-neutron-metering-agent-11.0.1-5.el7ost.noarch
openstack-neutron-sriov-nic-agent-11.0.1-5.el7ost.noarch
openstack-neutron-lbaas-ui-3.0.1-2.el7ost.noarch
openstack-neutron-ml2-11.0.1-5.el7ost.noarch
openstack-neutron-openvswitch-11.0.1-5.el7ost.noarch
python-neutronclient-6.5.0-1.el7ost.noarch
openstack-neutron-lbaas-11.0.1-5.el7ost.noarch
openstack-neutron-linuxbridge-11.0.1-5.el7ost.noarch
python-neutron-lbaas-11.0.1-5.el7ost.noarch

openstack-puppet-modules-11.0.0-1.el7ost.noarch
instack-undercloud-7.4.3-3.el7ost.noarch
openstack-tripleo-heat-templates-7.0.3-10.el7ost.noarch



Steps to reproduce:

1. Deploy overcloud
2. launch an instance (launched with one IP)
3. Reboot the setup
4. Launch another instance


Result:
The launched instance gets 2 IP addresses from the network it's attached to:


(overcloud) [stack@undercloud-0 ~]$ nova boot --flavor 1 --key-name oskey --image `glance image-list|awk -F"|" '/cirros/ {print $2}'`  --nic net-id=c1bc9599-a9b0-4b8c-aa99-dbbe6abfbcdf inst1 
nova list+--------------------------------------+-----------------------------------------------+
| Property                             | Value                                         |
+--------------------------------------+-----------------------------------------------+
| OS-DCF:diskConfig                    | MANUAL                                        |
| OS-EXT-AZ:availability_zone          |                                               |
| OS-EXT-SRV-ATTR:host                 | -                                             |
| OS-EXT-SRV-ATTR:hostname             | inst1                                         |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | -                                             |
| OS-EXT-SRV-ATTR:instance_name        |                                               |
| OS-EXT-SRV-ATTR:kernel_id            |                                               |
| OS-EXT-SRV-ATTR:launch_index         | 0                                             |
| OS-EXT-SRV-ATTR:ramdisk_id           |                                               |
| OS-EXT-SRV-ATTR:reservation_id       | r-9oqrgs7k                                    |
| OS-EXT-SRV-ATTR:root_device_name     | -                                             |
| OS-EXT-SRV-ATTR:user_data            | -                                             |
| OS-EXT-STS:power_state               | 0                                             |
| OS-EXT-STS:task_state                | scheduling                                    |
| OS-EXT-STS:vm_state                  | building                                      |
| OS-SRV-USG:launched_at               | -                                             |
| OS-SRV-USG:terminated_at             | -                                             |
| accessIPv4                           |                                               |
| accessIPv6                           |                                               |
| adminPass                            | ZxYvpdW85zqf                                  |
| config_drive                         |                                               |
| created                              | 2017-11-22T23:01:51Z                          |
| description                          | -                                             |
| flavor:disk                          | 1                                             |
| flavor:ephemeral                     | 0                                             |
| flavor:extra_specs                   | {}                                            |
| flavor:original_name                 | m1.tiny                                       |
| flavor:ram                           | 512                                           |
| flavor:swap                          | 0                                             |
| flavor:vcpus                         | 1                                             |
| hostId                               |                                               |
| host_status                          |                                               |
| id                                   | a5f66039-606e-48ee-acac-26f5aa8dacd5          |
| image                                | cirros (76495d72-ec3a-4126-adba-88c064f153d3) |
| key_name                             | oskey                                         |
| locked                               | False                                         |
| metadata                             | {}                                            |
| name                                 | inst1                                         |
| os-extended-volumes:volumes_attached | []                                            |
| progress                             | 0                                             |
| security_groups                      | default                                       |
| status                               | BUILD                                         |
| tags                                 | []                                            |
| tenant_id                            | 42babb5b75544693a7daf631538ef1ad              |
| updated                              | 2017-11-22T23:01:51Z                          |
| user_id                              | 3895d57a294741e09948622b5c24be79              |
+--------------------------------------+-----------------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks                                 |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| dc0f823c-1aaa-4211-975c-d393804d8ec8 | after_deploy | ACTIVE | -          | Running     | tenantvxlan=192.168.32.10, 10.0.0.181    |
| 373d5fe2-ff26-440e-98c5-b8af1cc83015 | after_reboot | ACTIVE | -          | Running     | tenantvxlan=192.168.32.12, 192.168.32.11 |
| a5f66039-606e-48ee-acac-26f5aa8dacd5 | inst1        | BUILD  | spawning   | NOSTATE     |                                          |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks                                 |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| dc0f823c-1aaa-4211-975c-d393804d8ec8 | after_deploy | ACTIVE | -          | Running     | tenantvxlan=192.168.32.10, 10.0.0.181    |
| 373d5fe2-ff26-440e-98c5-b8af1cc83015 | after_reboot | ACTIVE | -          | Running     | tenantvxlan=192.168.32.12, 192.168.32.11 |
| a5f66039-606e-48ee-acac-26f5aa8dacd5 | inst1        | BUILD  | spawning   | NOSTATE     | tenantvxlan=192.168.32.7                 |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+


(overcloud) [stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks                                 |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+
| dc0f823c-1aaa-4211-975c-d393804d8ec8 | after_deploy | ACTIVE | -          | Running     | tenantvxlan=192.168.32.10, 10.0.0.181    |
| 373d5fe2-ff26-440e-98c5-b8af1cc83015 | after_reboot | ACTIVE | -          | Running     | tenantvxlan=192.168.32.12, 192.168.32.11 |
| a5f66039-606e-48ee-acac-26f5aa8dacd5 | inst1        | BUILD  | spawning   | NOSTATE     | tenantvxlan=192.168.32.7, 192.168.32.18  |
+--------------------------------------+--------------+--------+------------+-------------+------------------------------------------+




(overcloud) [stack@undercloud-0 ~]$ neutron net-list
neutron CLI is deprecated and will be removed in the future. Use openstack CLI instead.
nu+--------------------------------------+----------------------------------------------------+----------------------------------+-------------------------------------------------------+
| id                                   | name                                               | tenant_id                        | subnets                                               |
+--------------------------------------+----------------------------------------------------+----------------------------------+-------------------------------------------------------+
| 6c27c025-c22e-416f-b3b5-a8ec23a214ee | public                                             | 42babb5b75544693a7daf631538ef1ad | 9bae991f-0779-4aa3-b874-68cb53118ac4 10.0.0.0/24      |
| 7c7901c6-6153-4c92-914b-b967cbf322df | HA network tenant 42babb5b75544693a7daf631538ef1ad |                                  | 512afa8a-5187-42aa-b5e7-250de3b8f511 169.254.192.0/18 |
| c1bc9599-a9b0-4b8c-aa99-dbbe6abfbcdf | tenantvxlan                                        | 42babb5b75544693a7daf631538ef1ad | 6992cbd4-33b1-47de-923b-ded8799eb6ba 192.168.32.0/24  |
+--------------------------------------+----------------------------------------------------+----------------------------------+-------------------------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ neutron net-show tenantvxlan
neutron CLI is deprecated and will be removed in the future. Use openstack CLI instead.
+---------------------------+--------------------------------------+
| Field                     | Value                                |
+---------------------------+--------------------------------------+
| admin_state_up            | True                                 |
| availability_zone_hints   |                                      |
| availability_zones        | nova                                 |
| created_at                | 2017-11-22T22:33:35Z                 |
| description               |                                      |
| id                        | c1bc9599-a9b0-4b8c-aa99-dbbe6abfbcdf |
| ipv4_address_scope        |                                      |
| ipv6_address_scope        |                                      |
| mtu                       | 1450                                 |
| name                      | tenantvxlan                          |
| port_security_enabled     | True                                 |
| project_id                | 42babb5b75544693a7daf631538ef1ad     |
| provider:network_type     | vxlan                                |
| provider:physical_network |                                      |
| provider:segmentation_id  | 10                                   |
| qos_policy_id             |                                      |
| revision_number           | 4                                    |
| router:external           | False                                |
| shared                    | False                                |
| status                    | ACTIVE                               |
| subnets                   | 6992cbd4-33b1-47de-923b-ded8799eb6ba |
| tags                      |                                      |
| tenant_id                 | 42babb5b75544693a7daf631538ef1ad     |
| updated_at                | 2017-11-22T22:33:40Z                 |
+---------------------------+--------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ neutron subnet-list
neutron CLI is deprecated and will be removed in the future. Use openstack CLI instead.
+--------------------------------------+---------------------------------------------------+----------------------------------+------------------+------------------------------------------------------+
| id                                   | name                                              | tenant_id                        | cidr             | allocation_pools                                     |
+--------------------------------------+---------------------------------------------------+----------------------------------+------------------+------------------------------------------------------+
| 512afa8a-5187-42aa-b5e7-250de3b8f511 | HA subnet tenant 42babb5b75544693a7daf631538ef1ad |                                  | 169.254.192.0/18 | {"start": "169.254.192.1", "end": "169.254.255.254"} |
| 6992cbd4-33b1-47de-923b-ded8799eb6ba |                                                   | 42babb5b75544693a7daf631538ef1ad | 192.168.32.0/24  | {"start": "192.168.32.2", "end": "192.168.32.100"}   |
| 9bae991f-0779-4aa3-b874-68cb53118ac4 |                                                   | 42babb5b75544693a7daf631538ef1ad | 10.0.0.0/24      | {"start": "10.0.0.175", "end": "10.0.0.254"}         |
+--------------------------------------+---------------------------------------------------+----------------------------------+------------------+------------------------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ neutron subnet-show 6992cbd4-33b1-47de-923b-ded8799eb6ba
neutron CLI is deprecated and will be removed in the future. Use openstack CLI instead.
+-------------------+----------------------------------------------------+
| Field             | Value                                              |
+-------------------+----------------------------------------------------+
| allocation_pools  | {"start": "192.168.32.2", "end": "192.168.32.100"} |
| cidr              | 192.168.32.0/24                                    |
| created_at        | 2017-11-22T22:33:40Z                               |
| description       |                                                    |
| dns_nameservers   | 8.8.8.8                                            |
| enable_dhcp       | True                                               |
| gateway_ip        | 192.168.32.1                                       |
| host_routes       |                                                    |
| id                | 6992cbd4-33b1-47de-923b-ded8799eb6ba               |
| ip_version        | 4                                                  |
| ipv6_address_mode |                                                    |
| ipv6_ra_mode      |                                                    |
| name              |                                                    |
| network_id        | c1bc9599-a9b0-4b8c-aa99-dbbe6abfbcdf               |
| project_id        | 42babb5b75544693a7daf631538ef1ad                   |
| revision_number   | 0                                                  |
| service_types     |                                                    |
| subnetpool_id     |                                                    |
| tags              |                                                    |
| tenant_id         | 42babb5b75544693a7daf631538ef1ad                   |
| updated_at        | 2017-11-22T22:33:40Z                               |
+-------------------+----------------------------------------------------+

Comment 2 Jakub Libosvar 2017-11-23 12:41:02 UTC
Please attach logs in DEBUG level and ID of port that got assigned two IPS.

Comment 3 Jakub Libosvar 2017-11-23 12:45:10 UTC
Also, please enable DEBUG level on Nova services as well as this might be a nova issue too.

Comment 4 Jakub Libosvar 2017-11-23 16:16:41 UTC
This might be related to bug 1469780


Note You need to log in before you can comment on or make changes to this bug.